Package org.kapott.hbci.sepa

## Enum PainVersion.Type

- java.lang.Object
- - java.lang.Enum<PainVersion.Type>
  - - org.kapott.hbci.sepa.PainVersion.Type

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<PainVersion.Type>`

Enclosing class:
  PainVersion

    public static enum PainVersion.Type
    extends java.lang.Enum<PainVersion.Type>

Enum fuer die Gruppierung der verschienden Typen von Geschaeftsvorfaellen.

### Enum Constant Summary

Enum Constants
`PAIN_001` Ueberweisungen.
`PAIN_002` Kontoauszuege.
`PAIN_008` Lastschriften.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Liefert eine sprechende Bezeichnung des PAIN-Typs.
`static PainVersion.Type` `getType​(java.lang.String value)` Liefert den enum-Type fuer den angegebenen Wert.
`java.lang.String` `getValue()` Liefert den numerischen Wert des PAIN-Typs.
`static PainVersion.Type` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PainVersion.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PAIN_001

    public static final PainVersion.Type PAIN_001

Ueberweisungen.

#### PAIN_002

    public static final PainVersion.Type PAIN_002

Kontoauszuege.

#### PAIN_008

    public static final PainVersion.Type PAIN_008

Lastschriften.

### Method Detail

#### values

    public static PainVersion.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PainVersion.Type c : PainVersion.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PainVersion.Type valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getValue

    public java.lang.String getValue()

Liefert den numerischen Wert des PAIN-Typs.

Returns:
  der numerischen Wert des PAIN-Typs.

#### getName

    public java.lang.String getName()

Liefert eine sprechende Bezeichnung des PAIN-Typs.

Returns:
  eine sprechende Bezeichnung des PAIN-Typs.

#### getType

    public static PainVersion.Type getType​(java.lang.String value)
                                    throws java.lang.IllegalArgumentException

Liefert den enum-Type fuer den angegebenen Wert.

Parameters:
  `value` - der Wert. 001, 002 oder 008.
Returns:
  der zugehoerige Enum-Wert.
Throws:
  `java.lang.IllegalArgumentException` - wenn der Typ unbekannt ist.